Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.grmm.inference
Class MessageArray

    java.lang.Object
      cc.mallet.grmm.inference.MessageArray

    public class MessageArray

extends java.lang.Object

Efficiently manages a array of messages in a factor graph from variables to factors and vice versa. Created: Feb 1, 2006

Version:
  $Id: MessageArray.java,v 1.1 2007/10/22 21:37:49 mccallum Exp $
Author:

  Nested Class Summary
  `class` | `MessageArray.Iterator`
  `static class` | `MessageArray.ToMsgsIterator`

  Constructor Summary
  `MessageArray(FactorGraph fg)`

  Method Summary
  `MIntInt2ObjectMap` | `deepCopy(MIntInt2ObjectMap msgs)`
  `void` | `dump()`
  `void` | `dump(java.io.PrintWriter out)`
  `MessageArray` | `duplicate()`
  `Factor` | `get(Factor from, Variable to)`
  `Factor` | `get(java.lang.Object from, java.lang.Object to)`
  `Factor` | `get(Variable from, Factor to)`
  `int` | `getIndex(Factor from)`
  `int` | `getIndex(Variable to)`
  `java.lang.Object` | `idx2obj(int idx)`
  `boolean` | `isInLogSpace()`
  `MessageArray.Iterator` | `iterator()`
  `void` | `put(Factor from, Variable to, Factor msg)`
  `void` | `put(int fromIdx, int toIdx, Factor msg)`
  `void` | `put(Variable from, Factor to, Factor msg)`
  `MessageArray.ToMsgsIterator` | `toMessagesIterator(int toIdx)`

  Methods inherited from class java.lang.Object
  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

  Constructor Detail

  ### MessageArray

      public MessageArray(FactorGraph fg)

  Method Detail

  ### isInLogSpace

      public boolean isInLogSpace()

  ### get

      public Factor get(java.lang.Object from,
                        java.lang.Object to)

  ### get

      public Factor get(Variable from,
                        Factor to)

  ### get

      public Factor get(Factor from,
                        Variable to)

  ### put

      public void put(Factor from,
                      Variable to,
                      Factor msg)

  ### put

      public void put(Variable from,
                      Factor to,
                      Factor msg)

  ### put

      public void put(int fromIdx,
                      int toIdx,
                      Factor msg)

  ### iterator

      public MessageArray.Iterator iterator()

  ### toMessagesIterator

      public MessageArray.ToMsgsIterator toMessagesIterator(int toIdx)

  ### duplicate

      public MessageArray duplicate()

  ### deepCopy

      public MIntInt2ObjectMap deepCopy(MIntInt2ObjectMap msgs)

  ### getIndex

      public int getIndex(Factor from)

  ### getIndex

      public int getIndex(Variable to)

  ### idx2obj

      public java.lang.Object idx2obj(int idx)

  ### dump

      public void dump()

  ### dump

      public void dump(java.io.PrintWriter out)

  Overview | Package | Class | Use | Tree | Deprecated | Index | Help
  PREV CLASS NEXT CLASS | FRAMES NO FRAMES
  SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD